<template>
    <q-dialog ref="dialogRef">
        <q-card class="bg-dark" :style="{ width: '500px' }">
            <q-card-section class="text-primary text-center">
                <h5 class="q-ma-none">Suas informações foram salvas.</h5>
                <h6 class="q-ma-none" :style="{ fontSize: '16px' }">Estamos animados para ter você como nosso parceiro.</h6>
                <p class="q-my-md">Em breve entraremos em contato.</p>
            </q-card-section>
            <q-card-actions class="flex flex-center">
                <q-btn @click="formOk" label="OK" color="primary" outline rounded :style="{ width: '100px' }"></q-btn>
            </q-card-actions>
        </q-card>
    </q-dialog>
</template>

<script setup>
import { useDialogPluginComponent } from 'quasar'

const { dialogRef, onDialogOK } = useDialogPluginComponent()

function formOk () {
    onDialogOK(true);
}
</script>
